This is the interface to be used by all selectors.

author | Hans Lellelid, hans@xmpl.org (Phing)
author | Bruce Atherton, bruce@callenish.com (Ant)
package | phing.types.selectors

### Methods

## Method that each selector will implement to create their selection behaviour.

    isSelected(\PhingFile $basedir, \filename $filename, \PhingFile $file) : \whether

If there is a problem with the setup of a selector, it can throw a BuildException to indicate the problem.

### Parameters

#### $basedir

`\basedir`

A PhingFile object for the base directory

#### $filename

`\filename`

The name of the file to check

#### $file

`\file`

A PhingFile object for this filename

### Exceptions

`\BuildException` | if the selector was not configured correctly

### Returns

`\whether`the file should be selected or not